import { LitElement } from 'lit';
import '@warp-ds/icons/elements/info-16';
import '@warp-ds/icons/elements/warning-16';
import '@warp-ds/icons/elements/error-16';
import '@warp-ds/icons/elements/success-16';
type AlertVariants = 'negative' | 'positive' | 'warning' | 'info';
/**
 * Alert is an inline component used for displaying different types of messages.
 *
 * For accessibility reasons, alert should appear close to the element that triggered it.
 *
 * [See Storybook for usage examples](https://warp-ds.github.io/elements/?path=/docs/feedback-alert--docs)
 */
declare class WarpAlert extends LitElement {
    variant: AlertVariants;
    show: boolean;
    role: string;
    constructor();
    connectedCallback(): void;
    /** @internal */
    get _wrapperClasses(): string;
    /** @internal */
    get _iconClasses(): string;
    static styles: import("lit").CSSResult[];
    /** @internal */
    get _icon(): import("lit").TemplateResult<1> | "";
    render(): import("lit").TemplateResult<1>;
}
export { WarpAlert };
